'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _tslib = require('../../../_virtual/_tslib.js');
var jsxRuntime = require('react/jsx-runtime');
var utils = require('../../../common/theming/utils.js');

const Container = _a => {
  var _b;
  var {
      children,
      appearance,
      direction = 'vertical',
      gap = 'medium'
    } = _a,
    props = _tslib.__rest(_a, ["children", "appearance", "direction", "gap"]);
  const classNames = utils.generateClassNames('container', '', {
    direction,
    gap
  }, appearance);
  return jsxRuntime.jsx("div", Object.assign({}, props, {
    style: (_b = appearance === null || appearance === void 0 ? void 0 : appearance.style) === null || _b === void 0 ? void 0 : _b.container,
    className: classNames.join(' ')
  }, {
    children: children
  }));
};

exports.Container = Container;
