'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _tslib = require('../../../_virtual/_tslib.js');
var jsxRuntime = require('react/jsx-runtime');
var utils = require('../../../common/theming/utils.js');

const Input = _a => {
  var _b;
  var {
      children,
      appearance,
      loading
    } = _a,
    props = _tslib.__rest(_a, ["children", "appearance", "loading"]);
  const type = props.type === 'password' ? 'password' : 'default';
  const classNames = utils.generateClassNames('input', '', {
    type,
    loading
  }, appearance);
  return jsxRuntime.jsx("input", Object.assign({}, props, {
    style: (_b = appearance === null || appearance === void 0 ? void 0 : appearance.style) === null || _b === void 0 ? void 0 : _b.input,
    className: classNames.join(' '),
    disabled: loading
  }, {
    children: children
  }));
};

exports.Input = Input;
