import { Appearance } from '../../src/types';
export declare function generateClassNames(
/**
 * name of css class name variable
 */
classNameKey: 'button' | 'container' | 'anchor' | 'divider' | 'label' | 'input' | 'loader' | 'message', 
/**
 * stiches CSS output
 */
defaultStyles: string, 
/**
 * appearance variables
 */
variants: null | {
    [key: string]: string | number | boolean;
}, appearance?: Appearance): (string | undefined)[];
//# sourceMappingURL=utils.d.ts.map