import { __rest } from '../../../_virtual/_tslib.js';
import { jsx } from 'react/jsx-runtime';
import { generateClassNames } from '../../../common/theming/utils.js';

const Input = _a => {
  var _b;
  var {
      children,
      appearance,
      loading
    } = _a,
    props = __rest(_a, ["children", "appearance", "loading"]);
  const type = props.type === 'password' ? 'password' : 'default';
  const classNames = generateClassNames('input', '', {
    type,
    loading
  }, appearance);
  return jsx("input", Object.assign({}, props, {
    style: (_b = appearance === null || appearance === void 0 ? void 0 : appearance.style) === null || _b === void 0 ? void 0 : _b.input,
    className: classNames.join(' '),
    disabled: loading
  }, {
    children: children
  }));
};

export { Input };
