const VIEWS = {
  SIGN_IN: 'sign_in',
  SIGN_UP: 'sign_up',
  FORGOTTEN_PASSWORD: 'forgotten_password',
  MAGIC_LINK: 'magic_link',
  UPDATE_PASSWORD: 'update_password'
};
const PREPENDED_CLASS_NAMES = 'supabase-ui-auth';
/**
 * CSS class names
 * used for generating prepended classes
 */
const CLASS_NAMES = {
  // interfaces
  ROOT: 'root',
  SIGN_IN: VIEWS.SIGN_IN,
  SIGN_UP: VIEWS.SIGN_UP,
  FORGOTTEN_PASSWORD: VIEWS.FORGOTTEN_PASSWORD,
  MAGIC_LINK: VIEWS.MAGIC_LINK,
  UPDATE_PASSWORD: VIEWS.UPDATE_PASSWORD,
  // ui
  anchor: 'auth-ui-anchor',
  button: 'auth-ui-button',
  container: 'auth-ui-container',
  divider: 'auth-ui-divider',
  input: 'auth-ui-input',
  label: 'auth-ui-label',
  loader: 'auth-ui-loader',
  message: 'auth-ui-message'
};

export { CLASS_NAMES, PREPENDED_CLASS_NAMES, VIEWS };
